package com.house365.ws.service.interfaces;

import com.house365.beans.entity.UserEntity;
import com.house365.beans.entity.VersionEntity;
import com.house365.beans.system.QueryParams;
import com.house365.service.system.Interfaces.Service;

import java.util.List;
import java.util.Map;

public interface IVersionService <T extends VersionEntity> extends Service<T> {

    VersionEntity getLastVersion(VersionEntity vve);
    void deleteVersionById(Integer id);
    List<VersionEntity> getAppVersionList(QueryParams<VersionEntity> queryParams);
}
